漏洞信息详情

多款Apple产品WebKit组件跨站脚本漏洞

漏洞简介

Apple Safari等都是美国苹果(Apple)公司的产品。Apple Safari是一款Web浏览器,是Mac OS X和iOS操作系统附带的默认浏览器。Apple iOS是一套为移动设备所开发的操作系统。Apple tvOS是一套智能电视操作系统。WebKit是其中的一个Web浏览器引擎组件。

多款Apple产品中的WebKit组件的文档加载处理过程存在跨站脚本漏洞。攻击者可借助特制的Web内容利用该漏洞在用户的Web浏览器中执行脚本。以下产品及版本受到影响:Apple iOS 12.4之前版本;基于Windows平台的iTunes 12.9.6之前版本;tvOS 12.4之前版本;Safari 12.1.2之前版本;macOS Mojave 10.14.6之前版本。

参考网址

来源:lists.apple.com

链接:https://lists.apple.com/archives/security-announce/2019/Jul/msg00004.html

来源:lists.apple.com

链接:https://lists.apple.com/archives/security-announce/2019/Jul/msg00002.html

来源:lists.apple.com

链接:https://lists.apple.com/archives/security-announce/2019/Jul/msg00000.html

来源:support.apple.com

链接:https://support.apple.com/en-in/HT210351

来源:support.apple.com

链接:https://support.apple.com/en-qa/HT210355

来源:support.apple.com

链接:https://support.apple.com/de-de/HT210346

来源:www.apple.com

链接:http://www.apple.com/accessibility/tvos/

来源:www.apple.com

链接:http://www.apple.com/safari/

来源:www.apple.com

链接:http://www.apple.com/ios/

来源:www.apple.com

链接:https://www.apple.com/

来源:wpewebkit.org

链接:https://wpewebkit.org/security/WSA-2019-0004.html

来源:webkitgtk.org

链接:https://webkitgtk.org/security/WSA-2019-0004.html

来源:support.apple.com

链接:https://support.apple.com/en-au/HT210351

来源:support.apple.com

链接:https://support.apple.com/en-au/HT210357

来源:support.apple.com

链接:https://support.apple.com/en-au/HT210358

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2746/

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/153718/Apple-Security-Advisory-2019-7-22-3.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3294/

来源:www.securityfocus.com

链接:https://www.securityfocus.com/bid/109329

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/153739/Apple-Security-Advisory-2019-7-23-3.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2761/

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/Apple-macOS-multiple-vulnerabilities-29859

受影响实体

    暂无